<div id="content_wrapper" class="content-full-wrapper">
	<div class="content">
		<div class="header-wrapper header-sm">
			<header class="container-fluid">
				<div class="row">
					<div class="col">
						<h1>งานก่อสร้าง</h1>
					</div>
				</div>
			</header>
		</div>
		<div class="content-body">
			<div class="row">
				<div class="col">
					<div class="card">

						<div class="row header-content">

							<div class="col-md-10">
								<header class="card-header ">
									<h2 class="card-title" *ngIf="id != '0'">
										งานก่อสร้าง
									</h2>
								</header>
							</div>

						</div>


						<div class="card-block">

							<div class="row">
								<div class="col-md-3 text-right p-t-label">
									<label>ชื่อกลุ่มงาน : </label>
								</div>
								<div class="col-md-2 p-t-18">
									<span>{{data?.constructionGroupName}}</span>
								</div>

								<div class="col-md-3 text-right p-t-label">
									<label>รหัสกลุ่มงาน : </label>
								</div>
								<div class="col-md-2 p-t-18">
									<span>{{data?.constructionGroupCode}}</span>
								</div>
							</div>

							<div class="row">
								<div class="col-md-3 text-right p-t-label">
									<label>รหัสงาน : </label>
								</div>
								<div class="col-md-2 p-t-18">
									<span>{{data?.code}}</span>
								</div>

								<div class="col-md-3 text-right p-t-label">
									<label>รหัสผังบัญชี : </label>
								</div>
								<div class="col-md-2 p-t-18">
									<span>{{data?.accountCode}}</span>
								</div>
							</div>

							<div class="row">
								<div class="col-md-3 text-right p-t-label">
									<label>รหัสงบประมาณ : </label>
								</div>
								<div class="col-md-2 p-t-18">
									<span>{{data?.budgetCode}}</span>
								</div>
							</div>

							<div class="row">
								<div class="col-md-3 text-right p-t-label">
									<label>ชื่องาน : </label>
								</div>
								<div class="col-md-7 p-t-18">
									<span>{{data?.name}}</span>
								</div>
							</div>

							<div class="row">
								<div class="col-md-3 text-right p-t-label">
									<label>การสั่งงาน : </label>
								</div>
								<div class="col-md-7 p-t-18">
									<span>
										<mat-radio-group [(ngModel)]="data.workOrderType"
											[ngModelOptions]="{standalone: true}" [disabled]="true">
											<mat-radio-button value="L" style="margin-right:10px;">แปลง</mat-radio-button>
											<mat-radio-button value="B">block</mat-radio-button>
										</mat-radio-group>
									</span>
								</div>
							</div>

							<div class="row">
								<div class="col-md-3 text-right p-t-label">
									<label>รายละเอียด : </label>
								</div>
								<div class="col-md-7 p-t-18">
									<span>{{data?.detail}}</span>
								</div>
							</div>

							<div class="row">
								<div class="col-md-3 text-right p-t-label">
									<label>สถานะการใช้งาน : </label>
								</div>
								<div class="col-md-7 p-t-18">
									<span *ngIf="data?.active">ใช้งาน</span>
									<span *ngIf="!data?.active">ไม่ใช้งาน</span>
								</div>
							</div>

							<div class="row">
								<div class="col-md-3 text-right p-t-label">
									<label>Cert : </label>
								</div>
								<div class="col-md-7 p-t-15">
									<mat-checkbox [(ngModel)]="data.cert" [disabled]="true"></mat-checkbox>
								</div>
							</div>

							<div class="row m-t-20">
								<div class="col-md-3 text-right">
									<label>แบบงาน : </label>
								</div>
							</div>

							<div class="row justify-content-center">
								<div class="col-md-8">
									<table class="table table-hover">
										<thead>
											<tr>
												<th class="text-left">แบบงาน</th>
											</tr>
										</thead>
										<tbody>
											<tr *ngFor="let item of data?.jobStyleList ; let i=index">
												<td class="text-left icon-pointer-toolbar">
													<span class="icon-pointer-toolbar">{{item.name}}</span>
												</td>
											</tr>
										</tbody>
									</table>
								</div>
							</div>

							<div class="row justify-content-center">
								<button type="button" class="btn btn-danger width-button" style="margin-left:10px"
									[routerLink]="['/master-setting/job-construction']">ปิด</button>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>

	</div>
</div>
<loading [show]="loading"></loading>